## nautilus-column-provider

nautilus-column-provider

## Synopsis

                        NautilusColumnProvider;
    struct              NautilusColumnProviderIface;
    GList *             nautilus_column_provider_get_columns
                                                            (NautilusColumnProvider *provider);

## Object Hierarchy

      GInterface
       +----NautilusColumnProvider

## Prerequisites

NautilusColumnProvider requires GObject.

## Description

## Details

### NautilusColumnProvider

    typedef struct _NautilusColumnProvider NautilusColumnProvider;

### struct NautilusColumnProviderIface

    struct NautilusColumnProviderIface {
    	GTypeInterface g_iface;

    	GList *(*get_columns) (NautilusColumnProvider *provider);
    };

### nautilus_column_provider_get_columns ()

    GList *             nautilus_column_provider_get_columns
                                                            (NautilusColumnProvider *provider);